Index: /LMDZ6/trunk/libf/dyn3d/addfi.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d/addfi.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d/addfi.f90	(revision 5281)
@@ -11,4 +11,5 @@
   USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
           ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+  USE comgeom_mod_h
   IMPLICIT NONE
   !
@@ -45,9 +46,4 @@
   !
   !-----------------------------------------------------------------------
-  !
-  !    0.  Declarations :
-  !    ------------------
-  !
-  include "comgeom.h"
   !
   !    Arguments :
Index: /LMDZ6/trunk/libf/dyn3d/advect.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d/advect.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d/advect.f90	(revision 5281)
@@ -3,4 +3,5 @@
 !
 SUBROUTINE advect(ucov,vcov,teta,w,massebx,masseby,du,dv,dteta)
+  USE comgeom_mod_h
   USE comconst_mod, ONLY: daysec
   USE logic_mod, ONLY: conser
@@ -28,5 +29,4 @@
   !   Declarations:
   !   -------------
-  include "comgeom.h"
 
   !   Arguments:
Index: /LMDZ6/trunk/libf/dyn3d/advtrac.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d/advtrac.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d/advtrac.f90	(revision 5281)
@@ -9,4 +9,5 @@
    !            M.A Filiberti (04/2002)
    !
+   USE comgeom2_mod_h
    USE comdissip_mod_h
    USE infotrac,     ONLY: nqtot, tracers, isoCheck
@@ -22,5 +23,4 @@
 
 
-   include "comgeom2.h"
    include "description.h"
    include "iniprint.h"
Index: /LMDZ6/trunk/libf/dyn3d/bilan_dyn.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d/bilan_dyn.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d/bilan_dyn.f90	(revision 5281)
@@ -10,4 +10,5 @@
   !             vQ..A=Cp T + L * ...
 
+  USE comgeom2_mod_h
   USE IOIPSL
   USE comconst_mod, ONLY: pi, cpp
@@ -22,5 +23,4 @@
 
 
-  include "comgeom2.h"
   include "iniprint.h"
 
Index: /LMDZ6/trunk/libf/dyn3d/caldyn.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d/caldyn.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d/caldyn.f90	(revision 5281)
@@ -7,4 +7,5 @@
 
 
+  USE comgeom_mod_h
   USE comvert_mod, ONLY: ap, bp
 
@@ -32,5 +33,4 @@
 
 
-  include "comgeom.h"
 
   !   Arguments:
Index: /LMDZ6/trunk/libf/dyn3d/covnat.F90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d/covnat.F90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d/covnat.F90	(revision 5281)
@@ -3,4 +3,5 @@
 !
 SUBROUTINE covnat (klevel,ucov, vcov, unat, vnat )
+  USE comgeom_mod_h
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
   USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
@@ -21,5 +22,4 @@
   !
   !=======================================================================
-  INCLUDE "comgeom.h"
 
   INTEGER :: klevel
Index: /LMDZ6/trunk/libf/dyn3d/dissip.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d/dissip.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d/dissip.f90	(revision 5281)
@@ -4,4 +4,5 @@
 SUBROUTINE dissip( vcov,ucov,teta,p, dv,du,dh )
   !
+  USE comgeom_mod_h
   USE comdissipn_mod_h
   USE comdissnew_mod_h
@@ -34,5 +35,4 @@
 
 
-  include "comgeom.h"
 
   !   Arguments:
Index: /LMDZ6/trunk/libf/dyn3d/dynetat0.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d/dynetat0.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d/dynetat0.f90	(revision 5281)
@@ -6,4 +6,5 @@
 ! Purpose: Initial state reading.
 !-------------------------------------------------------------------------------
+  USE comgeom2_mod_h
   USE infotrac,    ONLY: nqtot, tracers, niso, iqIsoPha, iH2O, isoName, &
                          new2oldH2O, newHNO3, oldHNO3
@@ -30,5 +31,4 @@
 
 
-  include "comgeom2.h"
   include "description.h"
   include "iniprint.h"
Index: /LMDZ6/trunk/libf/dyn3d/dynredem.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d/dynredem.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d/dynredem.f90	(revision 5281)
@@ -18,12 +18,12 @@
   USE temps_mod, ONLY: annee_ref, day_ref, itau_dyn, itaufin, start_time
   USE ener_mod, ONLY: etot0,ptot0,ztot0,stot0,ang0
-  
+
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+  USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
           ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+  USE comgeom2_mod_h
 IMPLICIT NONE
 
 
-  include "comgeom2.h"
   include "description.h"
   include "iniprint.h"
@@ -31,5 +31,5 @@
 ! Arguments:
   CHARACTER(LEN=*), INTENT(IN) :: fichnom          !--- FILE NAME
-  INTEGER,          INTENT(IN) :: iday_end         !--- 
+  INTEGER,          INTENT(IN) :: iday_end         !---
   REAL,             INTENT(IN) :: phis(iip1, jjp1) !--- GROUND GEOPOTENTIAL
 !===============================================================================
@@ -72,5 +72,5 @@
   tab_cntrl(19) = preff
 
-!    .....    parameters for zoom    ......   
+!    .....    parameters for zoom    ......
   tab_cntrl(20) = clon
   tab_cntrl(21) = clat
@@ -169,13 +169,13 @@
                           err, modname, fil, msg
   USE temps_mod, ONLY: itau_dyn, itaufin
-  
+
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+  USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
           ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+  USE comgeom_mod_h
 IMPLICIT NONE
 
 
   include "description.h"
-  include "comgeom.h"
   include "iniprint.h"
 !===============================================================================
Index: /LMDZ6/trunk/libf/dyn3d/fluxstokenc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d/fluxstokenc.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d/fluxstokenc.f90	(revision 5281)
@@ -6,5 +6,6 @@
   ! This routine is designed to work with ioipsl
 
-   USE IOIPSL
+   USE comgeom_mod_h
+  USE IOIPSL
   !
   ! Auteur :  F. Hourdin
@@ -20,5 +21,4 @@
 
 
-  include "comgeom.h"
   include "tracstoke.h"
   include "iniprint.h"
Index: /LMDZ6/trunk/libf/dyn3d/friction.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d/friction.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d/friction.f90	(revision 5281)
@@ -4,4 +4,5 @@
 !=======================================================================
 SUBROUTINE friction(ucov,vcov,pdt)
+  USE comgeom2_mod_h
   USE control_mod
   USE IOIPSL
@@ -25,5 +26,4 @@
 
 
-  include "comgeom2.h"
   include "iniprint.h"
   include "academic.h"
Index: /LMDZ6/trunk/libf/dyn3d/gcm.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d/gcm.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d/gcm.f90	(revision 5281)
@@ -5,4 +5,5 @@
 !
 PROGRAM gcm
+  USE comgeom_mod_h
   USE comdissnew_mod_h
   USE IOIPSL
@@ -57,5 +58,4 @@
   !   Declarations:
   !   -------------
-  include "comgeom.h"
   include "description.h"
   include "iniprint.h"
Index: /LMDZ6/trunk/libf/dyn3d/groupe.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d/groupe.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d/groupe.f90	(revision 5281)
@@ -4,4 +4,5 @@
 subroutine groupe(pext,pbaru,pbarv,pbarum,pbarvm,wm)
 
+  USE comgeom2_mod_h
   use comconst_mod, only: ngroup
 
@@ -24,5 +25,4 @@
 
 
-  include "comgeom2.h"
 
   ! integer ngroup
Index: /LMDZ6/trunk/libf/dyn3d/groupeun.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d/groupeun.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d/groupeun.f90	(revision 5281)
@@ -4,4 +4,5 @@
 SUBROUTINE groupeun(jjmax,llmax,q)
 
+  USE comgeom2_mod_h
   USE comconst_mod, ONLY: ngroup
 
@@ -13,5 +14,4 @@
 
 
-  include "comgeom2.h"
 
   INTEGER :: jjmax,llmax
@@ -141,4 +141,5 @@
 SUBROUTINE INIT_GROUPEUN(airen_tab, aires_tab)
 
+  USE comgeom2_mod_h
   USE comconst_mod, ONLY: ngroup
 
@@ -150,5 +151,4 @@
 
 
-  include "comgeom2.h"
 
   ! INTEGER ngroup
Index: /LMDZ6/trunk/libf/dyn3d/guide_mod.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d/guide_mod.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d/guide_mod.f90	(revision 5281)
@@ -8,6 +8,5 @@
 !            F. Codron 01/09
 !=======================================================================
-
-  USE getparam, only: ini_getparam, fin_getparam, getpar
+    USE getparam, only: ini_getparam, fin_getparam, getpar
   USE Write_Field
   use netcdf, only: nf90_nowrite, nf90_open, nf90_inq_varid, nf90_close, &
@@ -92,5 +91,5 @@
 
 ! ---------------------------------------------
-! Lecture des parametres:  
+! Lecture des parametres:
 ! ---------------------------------------------
     call ini_getparam("nudging_parameters_out.txt")
@@ -172,5 +171,5 @@
 
     call fin_getparam
-    
+
 ! ---------------------------------------------
 ! Determination du nombre de niveaux verticaux
@@ -230,5 +229,5 @@
 
 
-    endif 
+    endif
     error=nf90_inq_dimid(ncidpl,'LEVEL',rid)
     IF (error.NE.NF90_NOERR) error=nf90_inq_dimid(ncidpl,'PRESSURE',rid)
@@ -237,5 +236,5 @@
     ENDIF
     error=nf90_inquire_dimension(ncidpl,rid,len=nlevnc)
-    write(*,*)trim(modname)//' : number of vertical levels nlevnc', nlevnc 
+    write(*,*)trim(modname)//' : number of vertical levels nlevnc', nlevnc
     rcod = nf90_close(ncidpl)
 
@@ -264,5 +263,5 @@
     IF (error /= 0) CALL abort_gcm(modname,abort_message,1)
     alpha_u=0.;alpha_v=0;alpha_T=0;alpha_Q=0;alpha_P=0
-    
+
     IF (guide_u) THEN
         ALLOCATE(unat1(iip1,jjp1,nlevnc), stat = error)
@@ -288,5 +287,5 @@
         tnat1=0.;tnat2=0.;tgui1=0.;tgui2=0.
     ENDIF
-     
+
     IF (guide_Q) THEN
         ALLOCATE(qnat1(iip1,jjp1,nlevnc), stat = error)
@@ -361,5 +360,5 @@
     USE comconst_mod, ONLY: cpp, dtvr, daysec,kappa
     USE comvert_mod, ONLY: ap, bp, preff, presnivs, pressure_exner
- 
+
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
@@ -391,5 +390,5 @@
     REAL          :: tau,reste ! position entre 2 etats de guidage
     REAL, SAVE    :: factt ! pas de temps en fraction de jour
-    
+
     INTEGER       :: l
     CHARACTER(LEN=20) :: modname="guide_main"
@@ -402,10 +401,10 @@
     IF (first) THEN
         first=.FALSE.
-        CALL guide_init 
+        CALL guide_init
         itau_test=1001
         step_rea=1
         count_no_rea=0
 ! Calcul des constantes de rappel
-        factt=dtvr*iperiod/daysec 
+        factt=dtvr*iperiod/daysec
         call tau2alpha(3,iip1,jjm ,factt,tau_min_v,tau_max_v,alpha_v)
         call tau2alpha(2,iip1,jjp1,factt,tau_min_u,tau_max_u,alpha_u)
@@ -421,5 +420,5 @@
             enddo
         endif
-! ini_anal: etat initial egal au guidage        
+! ini_anal: etat initial egal au guidage
         IF (ini_anal) THEN
             CALL guide_interp(ps,teta)
@@ -464,5 +463,5 @@
             itau
               abort_message='stopped'
-              CALL abort_gcm(modname,abort_message,1) 
+              CALL abort_gcm(modname,abort_message,1)
           ELSE
               IF (guide_v) vnat1=vnat2
@@ -503,8 +502,8 @@
 
 !-----------------------------------------------------------------------
-!   Ajout des champs de guidage 
+!   Ajout des champs de guidage
 !-----------------------------------------------------------------------
 ! Sauvegarde du guidage?
-    f_out=((MOD(itau,iguide_sav).EQ.0).AND.guide_sav)  
+    f_out=((MOD(itau,iguide_sav).EQ.0).AND.guide_sav)
     IF (f_out) THEN
       ! compute pressures at layer interfaces
@@ -522,5 +521,5 @@
       CALL guide_out("SP",jjp1,llm,p(:,1:llm))
     ENDIF
-    
+
     if (guide_u) then
         if (guide_add) then
@@ -528,5 +527,5 @@
         else
            f_add=(1.-tau)*ugui1+tau*ugui2-ucov
-        endif 
+        endif
         if (guide_zon) CALL guide_zonave(1,jjp1,llm,f_add)
         CALL guide_addfield(ip1jmp1,llm,f_add,alpha_u)
@@ -542,5 +541,5 @@
         else
            f_add=(1.-tau)*tgui1+tau*tgui2-teta
-        endif 
+        endif
         if (guide_zon) CALL guide_zonave(2,jjp1,llm,f_add)
         CALL guide_addfield(ip1jmp1,llm,f_add,alpha_T)
@@ -554,5 +553,5 @@
         else
            f_add(1:ip1jmp1,1)=(1.-tau)*psgui1+tau*psgui2-ps
-        endif 
+        endif
         if (guide_zon) CALL guide_zonave(2,jjp1,1,f_add(1:ip1jmp1,1))
         CALL guide_addfield(ip1jmp1,1,f_add(1:ip1jmp1,1),alpha_P)
@@ -568,5 +567,5 @@
         else
            f_add=(1.-tau)*qgui1+tau*qgui2-q
-        endif 
+        endif
         if (guide_zon) CALL guide_zonave(2,jjp1,llm,f_add)
         CALL guide_addfield(ip1jmp1,llm,f_add,alpha_Q)
@@ -580,5 +579,5 @@
         else
            f_add(1:ip1jm,:)=(1.-tau)*vgui1+tau*vgui2-vcov
-        endif 
+        endif
         if (guide_zon) CALL guide_zonave(2,jjm,llm,f_add(1:ip1jm,:))
         CALL guide_addfield(ip1jm,llm,f_add(1:ip1jm,:),alpha_v)
@@ -599,5 +598,5 @@
     INTEGER,                      INTENT(IN)    :: hsize
     INTEGER,                      INTENT(IN)    :: vsize
-    REAL, DIMENSION(hsize),       INTENT(IN)    :: alpha 
+    REAL, DIMENSION(hsize),       INTENT(IN)    :: alpha
     REAL, DIMENSION(hsize,vsize), INTENT(INOUT) :: field
 
@@ -615,14 +614,14 @@
 
     USE comconst_mod, ONLY: pi
-    
+
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
           ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+    USE comgeom_mod_h
 IMPLICIT NONE
 
 
 
-    INCLUDE "comgeom.h"
-    
+
     ! input/output variables
     INTEGER,                           INTENT(IN)    :: typ
@@ -665,5 +664,5 @@
                 fieldm(j,l)=fieldm(j,l)+field(ij,l)
             ENDDO
-        ENDDO 
+        ENDDO
         fieldm(:,l)=fieldm(:,l)/REAL(imax(typ)-imin(typ)+1)
     ! Compute forcing
@@ -680,5 +679,5 @@
 !=======================================================================
   SUBROUTINE guide_interp(psi,teta)
-  
+
   use exner_hyb_m, only: exner_hyb
   use exner_milieu_m, only: exner_milieu
@@ -686,12 +685,8 @@
   use comvert_mod, only: preff, pressure_exner, bp, ap
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+  USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
           ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+  USE comgeom2_mod_h
 IMPLICIT NONE
-
-
-
-  include "comgeom2.h"
-
   REAL, DIMENSION (iip1,jjp1),     INTENT(IN) :: psi ! Psol gcm
   REAL, DIMENSION (iip1,jjp1,llm), INTENT(IN) :: teta ! Temp. Pot. gcm
@@ -702,21 +697,21 @@
   REAL, DIMENSION (iip1,jjp1,llm)    :: plunc,plsnc !niveaux pression modele
   REAL, DIMENSION (iip1,jjm,llm)     :: plvnc       !niveaux pression modele
-  REAL, DIMENSION (iip1,jjp1,llmp1)  :: p           ! pression intercouches 
+  REAL, DIMENSION (iip1,jjp1,llmp1)  :: p           ! pression intercouches
   REAL, DIMENSION (iip1,jjp1,llm)    :: pls, pext   ! var intermediaire
-  REAL, DIMENSION (iip1,jjp1,llm)    :: pbarx 
-  REAL, DIMENSION (iip1,jjm,llm)     :: pbary 
+  REAL, DIMENSION (iip1,jjp1,llm)    :: pbarx
+  REAL, DIMENSION (iip1,jjm,llm)     :: pbary
   ! Variables pour fonction Exner (P milieu couche)
   REAL, DIMENSION (iip1,jjp1,llm)    :: pk
-  REAL, DIMENSION (iip1,jjp1)        :: pks    
+  REAL, DIMENSION (iip1,jjp1)        :: pks
   REAL                               :: prefkap,unskap
   ! Pression de vapeur saturante
   REAL, DIMENSION (ip1jmp1,llm)      :: qsat
   !Variables intermediaires interpolation
-  REAL, DIMENSION (iip1,jjp1,llm)    :: zu1,zu2 
+  REAL, DIMENSION (iip1,jjp1,llm)    :: zu1,zu2
   REAL, DIMENSION (iip1,jjm,llm)     :: zv1,zv2
-  
+
   INTEGER                            :: i,j,l,ij
   CHARACTER(LEN=20),PARAMETER :: modname="guide_interp"
-  
+
     write(*,*)trim(modname)//': interpolate nudging variables'
 ! -----------------------------------------------------------------
@@ -767,7 +762,7 @@
         endif
     endif
-    
+
 ! -----------------------------------------------------------------
-! Calcul niveaux pression modele 
+! Calcul niveaux pression modele
 ! -----------------------------------------------------------------
     CALL pression( ip1jmp1, ap, bp, psi, p )
@@ -839,6 +834,6 @@
                     ugui2(ij,l)=zu2(i,j,l)*cu(i,j)
                 enddo
-                ugui1(j*iip1,l)=ugui1((j-1)*iip1+1,l)    
-                ugui2(j*iip1,l)=ugui2((j-1)*iip1+1,l)    
+                ugui1(j*iip1,l)=ugui1((j-1)*iip1+1,l)
+                ugui2(j*iip1,l)=ugui2((j-1)*iip1+1,l)
             enddo
             do i=1,iip1
@@ -850,5 +845,5 @@
         enddo
     ENDIF
-    
+
     IF (guide_T) THEN
         CALL pres2lev(tnat1,zu1,nlevnc,llm,plnc1,plsnc,iip1,jjp1,invert_p)
@@ -869,12 +864,12 @@
                     enddo
                 ENDIF
-                tgui1(j*iip1,l)=tgui1((j-1)*iip1+1,l)    
-                tgui2(j*iip1,l)=tgui2((j-1)*iip1+1,l)    
+                tgui1(j*iip1,l)=tgui1((j-1)*iip1+1,l)
+                tgui2(j*iip1,l)=tgui2((j-1)*iip1+1,l)
             enddo
             do i=1,iip1
                 tgui1(i,l)=tgui1(1,l)
-                tgui1(ip1jm+i,l)=tgui1(ip1jm+1,l) 
+                tgui1(ip1jm+i,l)=tgui1(ip1jm+1,l)
                 tgui2(i,l)=tgui2(1,l)
-                tgui2(ip1jm+i,l)=tgui2(ip1jm+1,l) 
+                tgui2(ip1jm+i,l)=tgui2(ip1jm+1,l)
             enddo
         enddo
@@ -893,10 +888,10 @@
                     vgui2(ij,l)=zv2(i,j,l)*cv(i,j)
                 enddo
-                vgui1(j*iip1,l)=vgui1((j-1)*iip1+1,l)    
-                vgui2(j*iip1,l)=vgui2((j-1)*iip1+1,l)    
+                vgui1(j*iip1,l)=vgui1((j-1)*iip1+1,l)
+                vgui2(j*iip1,l)=vgui2((j-1)*iip1+1,l)
             enddo
         enddo
     ENDIF
-    
+
     IF (guide_Q) THEN
         ! On suppose qu'on a la bonne variable dans le fichier de guidage:
@@ -911,12 +906,12 @@
                     qgui2(ij,l)=zu2(i,j,l)
                 enddo
-                qgui1(j*iip1,l)=qgui1((j-1)*iip1+1,l)    
-                qgui2(j*iip1,l)=qgui2((j-1)*iip1+1,l)    
+                qgui1(j*iip1,l)=qgui1((j-1)*iip1+1,l)
+                qgui2(j*iip1,l)=qgui2((j-1)*iip1+1,l)
             enddo
             do i=1,iip1
                 qgui1(i,l)=qgui1(1,l)
-                qgui1(ip1jm+i,l)=qgui1(ip1jm+1,l) 
+                qgui1(ip1jm+i,l)=qgui1(ip1jm+1,l)
                 qgui2(i,l)=qgui2(1,l)
-                qgui2(ip1jm+i,l)=qgui2(ip1jm+1,l) 
+                qgui2(ip1jm+i,l)=qgui2(ip1jm+1,l)
             enddo
         enddo
@@ -924,5 +919,5 @@
             CALL q_sat(iip1*jjp1*llm,teta*pk/cpp,plsnc,qsat)
             qgui1=qgui1*qsat*0.01 !hum. rel. en %
-            qgui2=qgui2*qsat*0.01 
+            qgui2=qgui2*qsat*0.01
         ENDIF
     ENDIF
@@ -937,14 +932,10 @@
     use comconst_mod, only: pi
     use serre_mod, only: clon, clat, grossismx, grossismy
-    
+
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+    USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
           ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
-implicit none
-
-
-
-    include "comgeom2.h"
-
+    USE comgeom2_mod_h
+    implicit none
 ! input arguments :
     INTEGER, INTENT(IN) :: typ    ! u(2),v(3), ou scalaire(1)
@@ -953,6 +944,6 @@
     REAL, INTENT(IN)    :: taumin,taumax
 ! output arguments:
-    REAL, DIMENSION(pim,pjm), INTENT(OUT) :: alpha 
-  
+    REAL, DIMENSION(pim,pjm), INTENT(OUT) :: alpha
+
 !  local variables:
     LOGICAL, SAVE               :: first=.TRUE.
@@ -1040,8 +1031,8 @@
         ENDIF
 ! Premier appel: calcul des aires min et max et de gamma.
-        IF (first) THEN 
+        IF (first) THEN
             first=.FALSE.
             ! coordonnees du centre du zoom
-            CALL coordij(clon,clat,ilon,ilat) 
+            CALL coordij(clon,clat,ilon,ilat)
             ! aire de la maille au centre du zoom
             dxdy_min=dxdys(ilon,ilat)
@@ -1067,5 +1058,5 @@
               endif
               gamma=log(0.5)/log(gamma)
-              if (gamma4) then 
+              if (gamma4) then
                 gamma=min(gamma,4.)
               endif
@@ -1168,5 +1159,5 @@
              ENDIF
              rcode = nf90_inq_varid(ncidp, 'PRES', varidp)
-             IF (rcode.NE.NF90_NOERR) THEN 
+             IF (rcode.NE.NF90_NOERR) THEN
               abort_message='Nudging: error -> no PRES variable in file P.nc'
               CALL abort_gcm(modname,abort_message,1)
@@ -1221,8 +1212,8 @@
              write(*,*) trim(modname)//' ncidv,varidv',ncidv,varidv
              if (ncidpl.eq.-99) ncidpl=ncidv
-             
+
              status=NF90_INQ_DIMID(ncidv, "LONV", dimid)
              status=NF90_INQUIRE_DIMENSION(ncidv,dimid,namedim,lendim)
-             
+
                 IF (lendim .NE. iip1) THEN
                 abort_message='dimension LONV different from iip1 in v.nc'
@@ -1237,5 +1228,5 @@
                 CALL abort_gcm(modname,abort_message,1)
              ENDIF
-        
+
          endif
 
@@ -1350,5 +1341,5 @@
      count(4)=1
 
-! Pression 
+! Pression
      if (guide_plevs.EQ.2) then
          status=NF90_GET_VAR(ncidp,varidp,pnat2,start,count)
@@ -1382,5 +1373,5 @@
            CALL invert_lat(iip1,jjp1,nlevnc,qnat2)
          ENDIF
-         
+
      endif
 
@@ -1672,5 +1663,5 @@
 
   END SUBROUTINE guide_read2D
-  
+
 !=======================================================================
   SUBROUTINE guide_out(varname,hsize,vsize,field)
@@ -1680,13 +1671,13 @@
     use netcdf95, only: nf95_def_var, nf95_put_var
     use netcdf, only: nf90_float, nf90_def_var, nf90_put_var
-    
+
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+    USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
           ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+    USE comgeom2_mod_h
 IMPLICIT NONE
 
 
 
-    INCLUDE "comgeom2.h"
     
     ! Variables entree
Index: /LMDZ6/trunk/libf/dyn3d/iniacademic.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d/iniacademic.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d/iniacademic.f90	(revision 5281)
@@ -4,4 +4,5 @@
 SUBROUTINE iniacademic(vcov,ucov,teta,q,masse,ps,phis,time_0)
 
+  USE comgeom_mod_h
   USE filtreg_mod, ONLY: inifilr
   USE infotrac,    ONLY: nqtot, niso, iqIsoPha, tracers, isoName, addPhase
@@ -36,5 +37,4 @@
 
 
-  include "comgeom.h"
   include "academic.h"
   include "iniprint.h"
Index: /LMDZ6/trunk/libf/dyn3d/integrd.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d/integrd.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d/integrd.f90	(revision 5281)
@@ -7,4 +7,5 @@
         )
 
+  USE comgeom_mod_h
   use control_mod, only : planet_type
   use comconst_mod, only: pi
@@ -36,5 +37,4 @@
 
 
-  include "comgeom.h"
   include "iniprint.h"
 
Index: /LMDZ6/trunk/libf/dyn3d/leapfrog.F90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d/leapfrog.F90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d/leapfrog.F90	(revision 5281)
@@ -6,4 +6,5 @@
 SUBROUTINE leapfrog(ucov,vcov,teta,ps,masse,phis,q,time_0)
   !IM : pour sortir les param. du modele dans un fis. netcdf 110106
+  USE comgeom_mod_h
   USE comdissnew_mod_h
   use IOIPSL
@@ -60,5 +61,4 @@
   !   Declarations:
   !   -------------
-  include "comgeom.h"
   include "description.h"
   include "iniprint.h"
Index: /LMDZ6/trunk/libf/dyn3d/replay3d.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d/replay3d.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d/replay3d.f90	(revision 5281)
@@ -5,4 +5,5 @@
 !
 PROGRAM replay3d
+  USE comgeom2_mod_h
   USE comdissnew_mod_h
   USE comvert_mod, only :  preff, pa
@@ -57,5 +58,4 @@
   !   Declarations:
   !   -------------
-  include "comgeom2.h"
 
   REAL zdtvr
Index: /LMDZ6/trunk/libf/dyn3d/sw_case_williamson91_6.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d/sw_case_williamson91_6.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d/sw_case_williamson91_6.f90	(revision 5281)
@@ -26,4 +26,5 @@
   !
   !=======================================================================
+  USE comgeom_mod_h
   USE comconst_mod, ONLY: cpp, omeg, rad
   USE comvert_mod, ONLY: ap, bp, preff
@@ -39,5 +40,4 @@
 
 
-  include "comgeom.h"
   include "iniprint.h"
 
Index: /LMDZ6/trunk/libf/dyn3d/top_bound.F90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d/top_bound.F90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d/top_bound.F90	(revision 5281)
@@ -4,4 +4,5 @@
 SUBROUTINE top_bound(vcov,ucov,teta,masse,dt)
 
+  USE comgeom2_mod_h
   USE comdissipn_mod_h
 USE comconst_mod, ONLY: iflag_top_bound, mode_top_bound, &
@@ -16,5 +17,4 @@
 
 
-  include "comgeom2.h"
 
 
Index: /LMDZ6/trunk/libf/dyn3d/vlsplt.F90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d/vlsplt.F90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d/vlsplt.F90	(revision 5281)
@@ -487,4 +487,5 @@
 END SUBROUTINE vlx
 RECURSIVE SUBROUTINE vly(q,pente_max,masse,masse_adv_v,iq)
+  USE comgeom_mod_h
   USE infotrac, ONLY : nqtot,tracers, & ! CRisi
         min_qParent,min_qMass,min_ratio ! MVals et CRisi
@@ -508,5 +509,4 @@
 
 
-  include "comgeom.h"
   !
   !
Index: /LMDZ6/trunk/libf/dyn3d/vlspltqs.F90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d/vlspltqs.F90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d/vlspltqs.F90	(revision 5281)
@@ -545,4 +545,5 @@
 END SUBROUTINE vlxqs
 SUBROUTINE vlyqs(q,pente_max,masse,masse_adv_v,qsat,iq)
+  USE comgeom_mod_h
   USE infotrac, ONLY : nqtot,tracers ! CRisi
   !
@@ -567,5 +568,4 @@
 
 
-  include "comgeom.h"
   !
   !
Index: /LMDZ6/trunk/libf/dyn3d_common/adaptdt.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/adaptdt.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d_common/adaptdt.f90	(revision 5281)
@@ -5,4 +5,5 @@
         masse)
 
+  USE comgeom2_mod_h
   USE comdissip_mod_h
   USE comconst_mod, ONLY: dtvr
@@ -14,5 +15,4 @@
 
 
-  include "comgeom2.h"
   include "description.h"
 
Index: /LMDZ6/trunk/libf/dyn3d_common/advn.F90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/advn.F90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d_common/advn.F90	(revision 5281)
@@ -15,4 +15,5 @@
   !
   !   --------------------------------------------------------------------
+  USE comgeom_mod_h
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
@@ -22,5 +23,4 @@
 
 
-  include "comgeom.h"
   include "iniprint.h"
 
@@ -759,4 +759,5 @@
   !
   !   --------------------------------------------------------------------
+  USE comgeom_mod_h
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
@@ -766,5 +767,4 @@
 
 
-  INCLUDE "comgeom.h"
   INCLUDE "iniprint.h"
   !
@@ -893,4 +893,5 @@
   !
   !   --------------------------------------------------------------------
+  USE comgeom_mod_h
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
@@ -900,5 +901,4 @@
 
 
-  INCLUDE "comgeom.h"
   INCLUDE "iniprint.h"
   !
Index: /LMDZ6/trunk/libf/dyn3d_common/advy.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/advy.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d_common/advy.f90	(revision 5281)
@@ -3,4 +3,5 @@
 !
 SUBROUTINE advy(limit,dty,pbarv,sm,s0,sx,sy,sz)
+  USE comgeom2_mod_h
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
@@ -31,5 +32,4 @@
 
 
-  include "comgeom2.h"
 
   !  Arguments :
Index: /LMDZ6/trunk/libf/dyn3d_common/advyp.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/advyp.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d_common/advyp.f90	(revision 5281)
@@ -4,4 +4,5 @@
 SUBROUTINE ADVYP(LIMIT,DTY,PBARV,SM,S0,SSX,SY,SZ &
         ,SSXX,SSXY,SSXZ,SYY,SYZ,SZZ,ntra )
+  USE comgeom_mod_h
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
@@ -33,5 +34,4 @@
 
 
-  include "comgeom.h"
 
   !  Arguments :
Index: /LMDZ6/trunk/libf/dyn3d_common/advzp.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/advzp.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d_common/advzp.f90	(revision 5281)
@@ -5,4 +5,5 @@
         ,SSXX,SSXY,SSXZ,SYY,SYZ,SZZ,ntra )
 
+  USE comgeom_mod_h
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
@@ -36,5 +37,4 @@
 
 
-  include "comgeom.h"
   !
   !  Arguments :
Index: /LMDZ6/trunk/libf/dyn3d_common/caldyn0.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/caldyn0.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d_common/caldyn0.f90	(revision 5281)
@@ -6,5 +6,6 @@
 ! Purpose: Compute dynamic tendencies.
 !-------------------------------------------------------------------------------
-  USE control_mod, ONLY: resetvarc 
+  USE comgeom_mod_h
+  USE control_mod, ONLY: resetvarc
   USE comvert_mod, ONLY: ap, bp
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
@@ -14,5 +15,4 @@
 
 
-  include "comgeom.h"
 !===============================================================================
 ! Arguments:
